Loading...
Searching...
No Matches
options.h File Reference
Core

Command line options parser for Janus. More...

`#include <glib.h>`
Include dependency graph for options.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | janus_options
| Struct containing the parsed command line options for Janus. More...

## Typedefs

typedef struct janus_options | janus_options
| Struct containing the parsed command line options for Janus.

## Functions

gboolean | janus_options_parse (janus_options *opts, int argc, char *argv[])
| Helper method to parse the command line options.
void | janus_options_destroy (void)
| Helper method to get rid of the options parser resources.

## Detailed Description

Command line options parser for Janus.

Command line options parser for Janus (headers).

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

Helper code to parse the Janus command line options using GOptionEntry.

Core

## Typedef Documentation

## janus_options

typedef struct janus_options janus_options

Struct containing the parsed command line options for Janus.

## Function Documentation

## janus_options_destroy()

void janus_options_destroy | ( | void |  | ) |

Helper method to get rid of the options parser resources.

## janus_options_parse()

gboolean janus_options_parse | ( | janus_options * | opts,
|  | int | argc,
|  | char * | argv[] )

Helper method to parse the command line options.

Parameters

  opts | A pointer to the janus_options instance to save the options to
  argc | The number of arguments
  argv | The command line arguments

Returns
  TRUE if successful, FALSE otherwise